Skip to main content
`Ctrl`+`K`

# PetscSectionCompare

Compares two sections

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCompare(PetscSection s1, PetscSection s2, PetscBool *congruent)

Collective

## Input Parameters

- s1 - the first `PetscSection`

- s2 - the second `PetscSection`

## Output Parameter

- congruent - `PETSC_TRUE` if the two sections are congruent, `PETSC_FALSE` otherwise

## Note

Field names are disregarded.

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionCopy()`, `PetscSectionClone()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages